
<% include ./partials/header %>
<div class="ui main text container">
  <div class="ui huge header">RESTful Blog App</div>
  <div class="ui top attached segment">
    <div class="ui divided items">
      <% blogs.forEach((blog) => { %>
        <div class="item">
          <div class="image">
            <img src="<%=blog.image%>">
          </div>
          <div class="content">
              <a class="header" href="/blogs/<%=blog._id%>"><%=blog.title%></a>
            <div class="meta">
              <span><%=blog.created.toDateString()%></span>
            </div>
            <div class="description">
              <p><span><%-blog.body.substring(0, 100)%>...</span></p>
            </div>
            <div class="extra">
              <a href="/blogs/<%=blog._id%>" class="ui floated basic violet">Read More.</a><i class="right chevron icon"></i>
            </div>
          </div>
        </div>
      <% }) %>
    </div>
  </div>
</div>

<% include ./partials/footer %>
